const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class UserService extends ServiceBase {
    constructor() {
        super();
    }

    /**
     * fn:保存订单
     * @param params
     * @returns {Promise<{msg: *, data, bizmsg: *|string, status: number}|any|undefined>}
     */
    async saveEorder(params) {
        return await this.callms("sve_order", "saveEorder", params);
    }

    /**
     * fn:审核订单
     * @param params
     * @returns {Promise<{msg: *, data, bizmsg: *|string, status: number}|any|undefined>}
     */
    async auditEorder(params) {
        return await this.callms("sve_order", "auditEorder", params);
    }

    /**
     * fn:根据ID查看订单
     * @param params
     * @returns {Promise<{msg: *, data, bizmsg: *|string, status: number}|any|undefined>}
     */
    async getEorderById(params) {
        return await this.callms("sve_order", "getEorderById", params);
    }




}

module.exports = UserService;